# healthCheckTimeout

Sets the timeout, in milliseconds, for verifying ClickHouse availability.

This parameter applies to omclickhouse: ClickHouse Output Module.

Name:

  healthCheckTimeout

Scope:

  input

Type:

  int (milliseconds)

Default:

  3500

Required?:

  no

Introduced:

  not specified

## Description

This parameter sets the timeout for checking the availability of ClickHouse. Value is given in milliseconds.

## Input usage

    module(load="omclickhouse")
    action(type="omclickhouse" healthCheckTimeout="5000")

## See also

See also omclickhouse: ClickHouse Output Module.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.